Subject: bug#79035: Remove micro-optimization for Funintern for performance

From: Mattias Engdegård <[email-masked]>
Date: Sat, 19 Jul 2025 17:37:10 +0200

18 juli 2025 kl. 23.43 skrev Lynn Winebarger <[email-masked]>:

> Since I haven't heard back, I'm just going to revise the patch set
> here.

I pushed some patches for removing load-convert-to-unibyte (a good catch, thank you!) and fixing unintern.

Regarding read-char etc they indeed don't belong in lread.c but the same is true for some other things such as the obarray code. Maybe later.

Looks like this concludes this bug -- anything else?

For future contributions:

* House conventions for commit messages.
* No walls of text.
* No benchmarks with -O0.